#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%define		pdir	Astro
%define		pnam	FITS-CFITSIO
Summary:	Astro::FITS::CFITSIO - Perl extension for using the cfitsio library
Summary(pl.UTF-8):	Astro::FITS::CFITSIO - rozszerzenie Perla do korzystania z biblioteki cfitsio
Name:		perl-Astro-FITS-CFITSIO
Version:	1.15
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Astro/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b192177a6756655c74361d766ba43cbc
URL:		https://metacpan.org/release/Astro-FITS-CFITSIO
BuildRequires:	cfitsio-devel >= 3.480
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	cfitsio >= 3.480
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::CFITSIO is a Perl interface to William Pence's cfitsio
subroutine library.

This module attempts to provide a wrapper for nearly every cfitsio
routine, while retaining as much cfitsio behavior as possible. As
such, one should be aware that it is still somewhat low-level, in the
sense that handing an array which is not the correct size to a routine
like fits_write_img() may cause SIGSEGVs.

The goal is to eventually use these routines to build a more Perl-like
interface to many common tasks such as reading and writing of images
and ASCII and binary tables.

%description -l pl.UTF-8
Astro::FITS::CFITSIO jest perlowym interfejsem do biblioteki cfitsio
Williama Pence'a.

Ten moduł jest próbą dostarczenia obudowania dla prawie wszystkich
funkcji cfitsio przy zachowaniu możliwie najbliższym cfitsio. Przez to
trzeba mieć na uwadze, że dostęp jest nieco niskopoziomowy, w tym
sensie, że przekazanie tablicy o złym rozmiarze do funkcji typu
fits_write_img() może powodować SIGSEGV.

Celem autora jest ewentualne wykorzystanie tych funkcji to stworzenia
bardziej perlowego interfejsu do wielu ogólnych zadań, takich jak
odczyt i zapis obrazów oraz tablic binarnych i ASCII.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
export CFITSIO=/usr
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NOTES README TODO
%{perl_vendorarch}/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS/CFITSIO
%{perl_vendorarch}/auto/Astro/FITS/CFITSIO/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Astro/FITS/CFITSIO/CFITSIO.so
%{_mandir}/man3/Astro::FITS::CFITSIO.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/INDEX
%{_examplesdir}/%{name}-%{version}/*.fits.*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Astro-FITS-CFITSIO.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 6f6ac5b
- perl 5.38.0 rebuild

* Sun Jan 22 2023 Jan Rękorajski <baggins@pld-linux.org> 3dcb109
- Release 5 (by relup.sh)

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4cd5ca3
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ad51212
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2e5c6b6
- rebuild with perl 5.32

* Fri Dec 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 5dd5f29
- updated to 1.15

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9f8a2e6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 05ac514
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Fri Dec 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 6c10b16
- updated to 1.12 (for cfitsio 3.450)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 9587e61
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8b5fc70
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e454f2f
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ee11a7b
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 2006dfe
- updated to 1.11

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> b940cbf
- release 7 (cfitsio rebuild)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> edcf46f
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 917209a
- x32 rebuild
- release 5 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 93d74d8
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ebd4006
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6a1d7cd
- removed zero-sized .bs file

